package net.peachjean.guice.command;

public class OptionInfo<T> {
	public final String name;
	public final String shortValue;
	public final String description;
	public final Class<T> type;
	public final T defaultValue;

	public OptionInfo(String name, String shortValue, String description, Class<T> type) {
		this(name, shortValue, description, type, null);
	}

	public OptionInfo(String name, String shortValue, String description, Class<T> type, T defaultValue) {
		this.name = name;
		this.shortValue = shortValue;
		this.description = description;
		this.type = type;
		this.defaultValue = defaultValue;
	}
}
