package net.peachjean.guice.command;

/**
 * Indicates that there is a problem with the commands as configured by the api consumer.
 */
public class CommandConfigurationException extends RuntimeException {
	public CommandConfigurationException(String message, Object... args) {
		super(String.format(message, args));
	}

	public CommandConfigurationException(String message, Throwable cause, Object... args) {
		super(String.format(message, args), cause);
	}

	public CommandConfigurationException(Throwable cause) {
		super(cause);
	}
}
