package net.peachjean.guice.command;

/**
 * Indicates that something went wrong during the invocation of the command.
 */
public class CommandInvocationException extends RuntimeException {
	public CommandInvocationException(String message, Object... args) {
		super(String.format(message, args));
	}

	public CommandInvocationException(String message, Throwable cause, Object... args) {
		super(String.format(message, args), cause);
	}

	public CommandInvocationException(Throwable cause) {
		super(cause);
	}
}
