package net.peachjean.guice.command;

/**
 * Indicates that there was a problem with the command passed in by the user.
 */
public class MalformedCommandException extends RuntimeException {
	public MalformedCommandException(String message, Object... args) {
		super(String.format(message, args));
	}

	public MalformedCommandException(String message, Throwable cause, Object... args) {
		super(String.format(message, args), cause);
	}

	public MalformedCommandException(Throwable cause) {
		super(cause);
	}
}
