package net.peachjean.guice.command.invoke.args;

import net.peachjean.guice.command.ArgIterator;
import net.peachjean.guice.command.ArgResolver;
import net.peachjean.guice.command.MalformedCommandException;

import java.lang.reflect.Type;
import java.util.NoSuchElementException;

class SingleArgResolver implements ArgResolver {

	static ArgResolver INSTANCE = new SingleArgResolver();

	@Override
	public Object resolve(ArgIterator argIterator, Type type) {
		try {
			return argIterator.next(type);
		} catch (NoSuchElementException e) {
			throw new MalformedCommandException("Not enough arguments provided.");
		}
	}
}
